using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

namespace ASPLinearServerControl
{
	/// <summary>
	/// Summary description for DisplayStreamedImage.
	/// </summary>
	public class DisplayStreamedImage : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.Image Image1;
		protected System.Web.UI.WebControls.Button Button1;
		protected System.Web.UI.WebControls.Label Label1;
		protected System.Web.UI.WebControls.TextBox txtBarcode;
		protected System.Web.UI.WebControls.Label lblBarcode;
		protected System.Web.UI.WebControls.TextBox txtX;
		protected System.Web.UI.WebControls.Label lblX;
		protected System.Web.UI.WebControls.DropDownList lstSymbology;
		protected System.Web.UI.WebControls.Label Label2;
		protected System.Web.UI.WebControls.Label Label3;
		protected System.Web.UI.WebControls.TextBox txtBarHeight;
		protected System.Web.UI.WebControls.Label lblRotation;
		protected System.Web.UI.WebControls.DropDownList lstRotation;
		protected System.Web.UI.WebControls.CheckBox chkCheckChar;
		protected System.Web.UI.WebControls.CheckBox chkCheckCharText;
		protected System.Web.UI.WebControls.CheckBox chkShowText;
		protected System.Web.UI.WebControls.TextBox txtLM;
		protected System.Web.UI.WebControls.Label Label4;
		protected System.Web.UI.WebControls.TextBox txtTopMargin;
		protected System.Web.UI.WebControls.Label Label5;
		protected System.Web.UI.WebControls.Label Label6;
		protected System.Web.UI.WebControls.Label Label7;
		protected System.Web.UI.WebControls.TextBox txtBearerBars;
		protected System.Web.UI.WebControls.Label Label8;
		protected System.Web.UI.WebControls.TextBox txtCharacterGrouping;
		protected System.Web.UI.WebControls.Label Label9;
		protected System.Web.UI.WebControls.TextBox txtWhiteBarIncrease;
		protected System.Web.UI.WebControls.Label Label10;
		protected System.Web.UI.WebControls.TextBox txtCaptionAbove;
		protected System.Web.UI.WebControls.TextBox txtCaptionBelow;
		protected System.Web.UI.WebControls.Label Label11;
		protected System.Web.UI.WebControls.TextBox txtResolution;
			
		private void Page_Load(object sender, System.EventArgs e)
		{
			// Put user code to initialize the page here
			if(this.IsPostBack)
			{
				Image1.Visible = true; 
			}
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.lstSymbology.SelectedIndexChanged += new System.EventHandler(this.lstSymbology_SelectedIndexChanged);
			this.chkCheckChar.CheckedChanged += new System.EventHandler(this.chkCheckChar_CheckedChanged);
			this.txtCharacterGrouping.TextChanged += new System.EventHandler(this.txtCharacterGrouping_TextChanged);
			this.Button1.Click += new System.EventHandler(this.Button1_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void Button1_Click(object sender, System.EventArgs e)
		{
			//This routine will construct a URL request for an IMG tag to assign to the ImageURL property of the image control
			//on the web form.  
			string SymID = "";
			string checkChar = "";
			string checkCharText = "";
			string showText = "";

			//Set the value determining if a check character should be calculated.
			if(chkCheckChar.Checked == true)
				checkChar = "y";
			else
				checkChar = "n";

			//Set the value determining if the check character should be displayed in the human readable text
			if(chkCheckCharText.Checked == true)
				checkCharText = "y";
			else
				checkCharText = "n";

			//Set the value determining if the human readable text should be displayed.
			if(chkShowText.Checked == true)
				showText = "y";
			else
				showText = "n";

			//Set the symbology ID.  This will be converted by IDAutomationStreamImage page to a specific 
			//symbology.
			switch( lstSymbology.SelectedItem.Text )
			{
				case "Code39":
					SymID = "0";
					break;
				case "Code39EXT":
					SymID = "1";
					break;
				case "Interleaved 2 of 5":
					SymID = "2";
					break;
				case "Code11":
					SymID = "3";
					break;
				case "Codabar":
					SymID = "4";
					break;
				case "MSI":
					SymID = "5";
					break;
				case "UPCA":
					SymID = "6";
					break;
				case "IND25":
					SymID = "7";
					break;
				case "MAT25":
					SymID = "8";
					break;
				case "Code93":
					SymID = "9";
					break;
				case "EAN13":
					SymID = "10";
					break;
				case "EAN8":
					SymID = "11";
					break;
				case "UPCE":
					SymID = "12";
					break;
				case "Code128":
					SymID = "13";
					break;
				case "Planet":
					SymID = "14";
					break;
				case "Postnet":
					SymID = "15";
					break;				
				case "Code93EXT":
					SymID = "16";
					break;
				case "UCC128":
					SymID = "17";
					break;				
				case "OneCode":
					SymID = "18";
					break;


			}

			//Set the rotation angle
			string RotAngle = "";
			switch(lstRotation.SelectedItem.Text)
			{
				case "0 Degrees":
					RotAngle = "0";
					break;
				case "90 Degrees":
					RotAngle = "90";
					break;
				case "180 Degrees":
					RotAngle = "180";
					break;
				case "270 Degrees":
					RotAngle = "270";
					break;
			}
			
			//create the URL request to set the image control to.
			Image1.ImageUrl = "IDAutomationStreamingLinear.aspx?barcode=" + txtBarcode.Text + "&X=" + txtX.Text + 
				"&CODE_TYPE=" + SymID + "&ROTATE=" + RotAngle + "&Bar_Height=" + txtBarHeight.Text + 
				"&Left_Margin=" + txtLM.Text + "&Top_Margin=" + txtTopMargin.Text + "&Check_Char=" + checkChar +
				"&Check_Char_Text=" + checkCharText + "&Show_Text=" + showText + "&IR=" + txtResolution.Text +
				"&CaptionAbove="+txtCaptionAbove.Text + "&CharacterGrouping="+txtCharacterGrouping.Text +"&CaptionBelow="+ txtCaptionBelow.Text +
				"&BearerBarVertical="+txtBearerBars.Text+"&BearerBarHorizontal="+txtBearerBars.Text+
				"&WhiteBarIncrease="+txtWhiteBarIncrease.Text;
		}

		private void chkCheckChar_CheckedChanged(object sender, System.EventArgs e)
		{
		
		}

		private void txtCharacterGrouping_TextChanged(object sender, System.EventArgs e)
		{
		
		}

		private void lstSymbology_SelectedIndexChanged(object sender, System.EventArgs e)
		{
		
		}
	}
}
